namespace ByteFarm.ImageMetaData.Format.Tiff
{
    public struct Rational
    {
        private readonly int _denominator;
        private readonly int _numerator;

        public Rational(int numerator, int denominator)
        {
            _numerator = numerator;
            _denominator = denominator;
        }

        public long Numerator
        {
            get { return _numerator; }
        }

        public long Denominator
        {
            get { return _denominator; }
        }

        public override string ToString()
        {
            return string.Format("{0}/{1}", Numerator, Denominator);
        }
    }
}